Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005166TestLinkDatabase MS-SQLpublic2012-08-23 14:452012-09-01 19:56
Reporterfman 
Assigned Tofman 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 Preview 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0005166: Test Cases without Tester Assignment - MSSQL
DescriptionClass:tlTestPlanMetrics - Method: getNotRunWOTesterAssigned


  • SQLState: 42S22 Error Code: 207 Message: [Microsoft][SQL Server Native Client 11.0][SQL Server]Invalid column name 'tcase_id'.
  • SQLState: 42S22 Error Code: 207 Message: [Microsoft][SQL Server Native Client 11.0][SQL Server]Invalid column name 'COUNTER'.
  • SQLState: 42000 Error Code: 421 Message: [Microsoft][SQL Server Native Client 11.0][SQL Server]The text data type cannot be selected as DISTINCT because it is not comparable.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MSSQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0005167closedfman replace TEXT with NVARCHAR(MAX) => we will support only SQL SERVER 2005 and UP 

-  Notes
(0017160)
fman (administrator)
2012-08-23 15:04
edited on: 2012-08-23 15:09

MSSQL have issues with COLUMN ALIASES on GROUP BY and HAVING Clauses
http://stackoverflow.com/questions/260399/using-an-alias-column-in-the-where-clause-in-ms-sql-2000 [^]

=============================================================================
Monday, July 26, 2010
MS SQL Column Alias
T-SQL used in Microsoft SQL Server seem to have very limited support for column alias. If you have a complex calculated column that you want to re-use in GROUP, SELECT or another expression, it will be desirable to use alias to reference the same definition everywhere so that we can have a clear and easier to understand SQL statement.


Here is an article that is very helpful in this matter: Avoid Transact-SQL's Column Alias Limitations

Key points:
MS SQL only allow alias in SELECT and ORDER BY
Use sub-query, can help in some cases to re-use column alias
=============================================================================

After this, someone can still ask why we do not use MSSQL ?

(0017225)
fman (administrator)
2012-09-01 19:56

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-08-23 14:45 fman New Issue
2012-08-23 14:45 fman Status new => assigned
2012-08-23 14:45 fman Assigned To => fman
2012-08-23 15:04 fman Note Added: 0017160
2012-08-23 15:05 fman Note Edited: 0017160 View Revisions
2012-08-23 15:09 fman Note Edited: 0017160 View Revisions
2012-08-23 16:04 fman Relationship added related to 0005167
2012-08-23 16:49 fman Task Workflow Status TBD => READY FOR TESTING
2012-08-23 16:49 fman Status assigned => resolved
2012-08-23 16:49 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-08-23 16:49 fman Resolution open => fixed
2012-09-01 19:56 fman Note Added: 0017225
2012-09-01 19:56 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker